Task # 26664 (New): Clean up Form ViewHelpers
Task # 26658 (New): Make Form ViewHelpers consistent

Status: New Priority: Should have
Author: Patrick Schriner Category: ViewHelpers
Created: 2010-11-17 Assigned To:
Updated: 2011-09-30 Due date:
Has patch: No
Subject: Tx_Fluid_ViewHelpers_Form_AbstractFormViewHelper->renderHiddenIdentityField should be more reliable
Description

(Poor title)
1$name = $this->prefixFieldName($name) . '[__identity]';

The problem with this line is that if this lookup resorts to an empty string, fluid will fail during a security check:
1#1255072832: The form field name "[__identity]" is invalid. Reason: "[]" used not as last argument. 
2
3Tx_Extbase_Security_Exception_InvalidArgumentForRequestHashGeneration thrown in file W:\TYPO3Winstaller\htdocs\
Dummy\typo3\sysext\extbase\Classes\Security\Channel\RequestHashService.php in line 94.

I'm pretty sure that a mistake of mine led to renderHiddenIdentityField behaving this way, yet I don't see the point in creating
misleading & invalid output.

History
#1 - 2010-11-17 19:40 - Patrick Schriner

okay, I found the reason - this happens when FormViewHelper->getFormObjectName() returns null; This happens when name is not set (which should
not happen).

Still I think it could be less misleading if an error on this missing piece of configuration were raised.

#2 - 2011-05-06 10:09 - Sebastian Kurfuerst
- Parent task set to #26658

#3 - 2011-09-09 15:20 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0

#4 - 2011-09-30 12:29 - Robert Lemke
- Target version deleted (1.0.0)
- Has patch set to No

Not FLOW3 related?
